Results 1 to 8 of 8

Thread: Setup BitTube Wallet 2.0.0.4

  1. #1

    Default Setup BitTube Wallet 2.0.0.4

    Hallo,

    ich habe Probleme beim Setup der BitTube Wallet 2.0.0.4.

    Ich habe den zip-File runtergeladen und entpackt, aber was mache ich nun mit den beiden Files bittubed und bittube-wallet-gui, die entpackt wurden?

    Jemand eine Idee?


    Gruß

  2. #2
    Join Date
    Jan 2010
    Location
    Ostwestfalen (Germany)
    Posts
    377

    Default AW: Setup BitTube Wallet 2.0.0.4

    Zum Beispiel
    Code:
    cd /home/Duplexity/bittube/
    Code:
    ./bittube-wallet-gui
    ?

    Wo dann eventuell folgende Fehlermeldung herauskommt:
    Code:
    ./bittube-wallet-gui: error while loading shared libraries: libboost_serialization.so.1.62.0: cannot open shared object file: No such file or directory
    Code:
    zypper se -s -f --provides libboost_serialization.so.1.62.0
    Loading repository data...
    Reading installed packages...
    No matching items found.
    Code:
    zypper se -s -f --provides libboost_serialization.so.*
    Loading repository data...
    Reading installed packages...
    
    S | Name                               | Type    | Version          | Arch   | Repository            
    --+------------------------------------+---------+------------------+--------+-----------------------
      | libboost_serialization1_66_0       | package | 1.66.0-lp150.3.3 | x86_64 | openSUSE-Leap-15.0-Oss
      | libboost_serialization1_66_0-32bit | package | 1.66.0-lp150.3.3 | x86_64 | openSUSE-Leap-15.0-Oss
    Sollte unter openSUSE Leap 42.3 nicht anders aussehen, Pech gehabt.
    Oder (neben der Möglichkeit einen Softlink zu setzen):
    Code:
    rpm -qlp http://download.opensuse.org/repositories/network:/cryptocurrencies/openSUSE_Leap_42.3/x86_64/libboost_serialization1_62_0-1.62.0-3.35.x86_64.rpm
    warning: http://download.opensuse.org/repositories/network:/cryptocurrencies/openSUSE_Leap_42.3/x86_64/libboost_serialization1_62_0-1.62.0-3.35.x86_64.rpm: Header V3 RSA/SHA256 Signature, key ID 17280ddf: NOKEY
    /usr/lib64/libboost_serialization.so.1.62.0
    /usr/lib64/libboost_wserialization.so.1.62.0

  3. #3

    Default AW: Setup BitTube Wallet 2.0.0.4

    War das ein Versuch von dir, der nicht geklappt hat? Sieht bei mir ähnlich aus:

    Code:
    Linux:~/Downloads/bittube-wallet-gui-linux-x64-v2.0.0.4 # ./bittube-wallet-gui
    ./bittube-wallet-gui: error while loading shared libraries: libunbound.so.2: cannot open shared object file: No such file or directory
    
    
    Linux:~/Downloads/bittube-wallet-gui-linux-x64-v2.0.0.4 # zypper se -s -f --provides libboost_serialization.so.1.62.0
    Repository 'openSUSE-Leap-42.3-Update' ist veraltet. Sie können 'zypper refresh' als root ausführen, um es zu aktualisieren.
    Repository-Daten werden geladen...
    Installierte Pakete werden gelesen...
    Keine passenden Objekte gefunden.
    
    
    Linux:~/Downloads/bittube-wallet-gui-linux-x64-v2.0.0.4 # sudo zypper se -s -f --provides libboost_serialization.so.1.62.0
    [sudo] Passwort für root: 
    Metadaten von Repository 'openSUSE-Leap-42.3-Update' abrufen ...........................................................................................................................................................[fertig]
    Cache für Repository 'openSUSE-Leap-42.3-Update' erzeugen ..............................................................................................................................................................[fertig]
    Repository-Daten werden geladen...
    Installierte Pakete werden gelesen...
    Keine passenden Objekte gefunden.
    
    
    Linux:~/Downloads/bittube-wallet-gui-linux-x64-v2.0.0.4 # sudo zypper se -s -f --provides libboost_serialization.so.*
    Repository-Daten werden geladen...
    Installierte Pakete werden gelesen...
    
    S | Name                               | Typ   | Version      | Arch   | Repository          
    --+------------------------------------+-------+--------------+--------+---------------------
      | libboost_serialization1_54_0       | Paket | 1.54.0-15.15 | x86_64 | openSUSE-Leap-42.3-0
      | libboost_serialization1_54_0-32bit | Paket | 1.54.0-15.15 | x86_64 | openSUSE-Leap-42.3-0
      | libboost_serialization1_58_0       | Paket | 1.58.0-8.1   | x86_64 | openSUSE-Leap-42.3-0
      | libboost_serialization1_58_0-32bit | Paket | 1.58.0-8.1   | x86_64 | openSUSE-Leap-42.3-0
      | libboost_serialization1_61_0       | Paket | 1.61.0-4.2   | x86_64 | openSUSE-Leap-42.3-0
      | libboost_serialization1_61_0-32bit | Paket | 1.61.0-4.2   | x86_64 | openSUSE-Leap-42.3-0
    
    
    
    Linux:~/Downloads/bittube-wallet-gui-linux-x64-v2.0.0.4 # sudo rpm -qlp http://download.opensuse.org/repositories/network:/cryptocurrencies/openSUSE_Leap_42.3/x86_64/libboost_serialization1_62_0-1.62.0-3.35.x86_64.rpm
    warning: http://download.opensuse.org/repositories/network:/cryptocurrencies/openSUSE_Leap_42.3/x86_64/libboost_serialization1_62_0-1.62.0-3.35.x86_64.rpm: Header V3 RSA/SHA256 Signature, key ID 17280ddf: NOKEY
    /usr/lib64/libboost_serialization.so.1.62.0
    /usr/lib64/libboost_wserialization.so.1.62.0
    
    
    Linux:~/Downloads/bittube-wallet-gui-linux-x64-v2.0.0.4 # ./bittube-wallet-gui
    ./bittube-wallet-gui: error while loading shared libraries: libunbound.so.2: cannot open shared object file: No such file or directory
    Linux:~/Downloads/bittube-wallet-gui-linux-x64-v2.0.0.4 #

  4. #4

    Default AW: Setup BitTube Wallet 2.0.0.4

    Code:
    Linux:~/Downloads/bittube-wallet-gui-linux-x64-v2.0.0.4 # sudo zypper in libboost_serialization1_61_0
    [sudo] Passwort für root:                                                                                                                                                                                                       
    Das hat nicht funktioniert, bitte nochmal probieren.                                                                                                                                                                            
    [sudo] Passwort für root:                                                                                                                                                                                                       
    Metadaten von Repository 'openSUSE-Leap-42.3-Update' abrufen ...........................................................................................................................................................[fertig]
    Cache für Repository 'openSUSE-Leap-42.3-Update' erzeugen ..............................................................................................................................................................[fertig]
    Repository-Daten werden geladen...                                                                                                                                                                                              
    Installierte Pakete werden gelesen...                                                                                                                                                                                           
    Paketabhängigkeiten werden aufgelöst...                                                                                                                                                                                         
                                                                                                                                                                                                                                    
    Die folgenden 2 NEUEN Pakete werden installiert:                                                                                                                                                                                
      boost-license1_61_0 libboost_serialization1_61_0                                                                                                                                                                              
                                                                                                                                                                                                                                    
    2 neue Pakete zu installieren.                                                                                                                                                                                                  
    Gesamtgröße des Downloads: 143,1 KiB. Bereits im Cache gespeichert: 0 B. Nach der Operation werden zusätzlich 448,3 KiB belegt.                                                                                                 
    Fortfahren? [j/n/...? zeigt alle Optionen] (j): 
    Paket boost-license1_61_0-1.61.0-4.2.noarch abrufen                                                                                                                                        (1/2),  22,9 KiB (  1,3 KiB entpackt)
    Abrufen: boost-license1_61_0-1.61.0-4.2.noarch.rpm .....................................................................................................................................................................[fertig]
    Paket libboost_serialization1_61_0-1.61.0-4.2.x86_64 abrufen                                                                                                                               (2/2), 120,2 KiB (447,0 KiB entpackt)
    Abrufen: libboost_serialization1_61_0-1.61.0-4.2.x86_64.rpm ............................................................................................................................................................[fertig]
    Überprüfung auf Dateikonflikte läuft: ..................................................................................................................................................................................[fertig]
    (1/2) Installieren: boost-license1_61_0-1.61.0-4.2.noarch ..............................................................................................................................................................[fertig]
    (2/2) Installieren: libboost_serialization1_61_0-1.61.0-4.2.x86_64 .....................................................................................................................................................[fertig]
    Zusätzliche rpm-Ausgabe:
    /sbin/ldconfig: /usr/lib/libbrcolm2.so.1 is not a symbolic link
    
    /sbin/ldconfig: /usr/lib/libbrscandec2.so.1 is not a symbolic link
    
    
    
    Linux:~/Downloads/bittube-wallet-gui-linux-x64-v2.0.0.4 # ./bittube-wallet-gui
    ./bittube-wallet-gui: error while loading shared libraries: libunbound.so.2: cannot open shared object file: No such file or directory

  5. #5
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    3,892

    Default AW: Setup BitTube Wallet 2.0.0.4

    Du liest aber schon, welchen Fehler du gemeldet bekommst?

    Der sieht ein wenig anders aus als der von tomm_fa.

    Und damit stellt sich für mich die Frage:
    Ist diese Programm bzw. die Intention die dahintersteht für dich geeignet?
    Last edited by Sauerland; 24-Sep-2018 at 07:43.

  6. #6
    Join Date
    Jan 2010
    Location
    Ostwestfalen (Germany)
    Posts
    377

    Default AW: Setup BitTube Wallet 2.0.0.4

    Und wie man nach einer fehlenden Bibliothek mittels Zypper sucht, wurde dir hier auch schon gezeigt. Aber anscheinend überträgst du nur alles eins zu eins wie du es vorgelegt bekommst, mal schauen ob später doch noch die fehlende libboost_serialization.so.1.62.0 beim Startversuch auftaucht. Wo es diese dann gibt hast du aber auch schon hier erfahren.
    Die Meldung zur fehlenden libunbound.so.2 erscheint bei mir nicht weil schon das entsprechende Paket, welches diese Bibliothek enthält, installiert ist.
    Da mich diese Anwendung aber nicht interessiert, möchte ich hier auch keine weiteren fehlende Pakete installieren, der restliche Weg liegt jetzt an dir.

  7. #7

    Default AW: Setup BitTube Wallet 2.0.0.4

    @Sauerland @tomm_fa

    Ja, ich bin kein Linux-Freak, aber es ist noch schlimmer, ich weiß auch noch nicht einmal, wie ich ein verdammtes Chip-Upgrade bei meinem Diesel hinbekomme. Ich will einfach nur mit der Karre fahren, und ich will einfach nur mit Linux arbeiten. Ich bin Anwender, den Admin mache nur, weil ich niemand habe, der das für mich macht. Ich war noch nie ein Systemer, und ich werde es nie sein. Was ich sagen will, wäre nett, wenn ihr mir einfach sagen würdet, wo das Problem liegt, in der Sache, nicht bei mir.

  8. #8
    Join Date
    Jan 2010
    Location
    Ostwestfalen (Germany)
    Posts
    377

    Default AW: Setup BitTube Wallet 2.0.0.4

    Ein „Systemer“ oder „Linux-Freak“ bin ich auch nicht, nur jemand der was nutzt was ein „Mittel zum Zweck“ ist, hat damit aber eigentlich auch nichts zu tun.

    Wenn du eine Anwendung aus der Konsole heraus startest und es Meldungen wie
    Code:
    error while loading shared libraries: libboost_serialization.so.1.62.0: cannot open shared object file: No such file or directory
    oder
    Code:
    error while loading shared libraries: libunbound.so.2: cannot open shared object file: No such file or directory
    gibt, dann schaust du halt in die Anleitungen deiner Paketverwaltungswerkzeuge wie man herausfinden kann von welchem Paket die fehlende Bibliothek bereitgestellt und diese installiert wird.

    Zum Beispiel welches Paket enthält die Bibliothek libunbound.so.2 und wie kann ich das mittels Zypper herausfinden?
    Lösung:
    Code:
    zypper se -s -f --provides libunbound.so.2
    und das Ergebnis zu dieser Ausgabe:
    Code:
    zypper se -s -f --provides libunbound.so.2
    Loading repository data...
    Reading installed packages...
    
    S | Name                  | Type    | Version         | Arch   | Repository            
    --+-----------------------+---------+-----------------+--------+-----------------------
      | libunbound-devel-mini | package | 1.6.8-lp150.1.3 | x86_64 | openSUSE-Leap-15.0-Oss
    i | libunbound2           | package | 1.6.8-lp150.1.4 | x86_64 | openSUSE-Leap-15.0-Oss
    (Hier jetzt alles unter openSUSE Leap 15.0.)

    Hast du aber sowas:
    Code:
    zypper se -s -f --provides libboost_serialization.so.1.62.0
    Loading repository data...
    Reading installed packages...
    No matching items found.
    , dann kannst du die hinten vorhandene Versionsnummer durch eine Wildcard ersetzen, zum Beispiel *. Sieht dann so aus:
    Code:
    zypper se -s -f --provides libboost_serialization.so.*
    Das Ergebnis hierzu:
    Code:
    zypper se -s -f --provides libboost_serialization.so.*
    Loading repository data...
    Reading installed packages...
    
    S | Name                               | Type    | Version          | Arch   | Repository            
    --+------------------------------------+---------+------------------+--------+-----------------------
      | libboost_serialization1_66_0       | package | 1.66.0-lp150.3.3 | x86_64 | openSUSE-Leap-15.0-Oss
      | libboost_serialization1_66_0-32bit | package | 1.66.0-lp150.3.3 | x86_64 | openSUSE-Leap-15.0-Oss
    Damit weißt du zumindest schon von welchem Paket diese Bibliothek bereitgestellt wird, jetzt musst du nur noch das richtige Paket in der passenden Version herausfinden, dieses kannst du zum Beispiel über software.opensuse.org/search machen.
    Da dir ja libboost_serialization.so.1.62.0 fehlt, suchst du dort nach libboost_serialization1_62_0 und bindest, falls es ein Ergebnis gibt, das passende Repositorium ein oder installierst das entsprechende Paket einzeln (mittels Zypper oder RPM).
    Findest du dort kein passendes Paket, dann hast du Pech gehabt oder betreibst einen größeren Aufwand und machst alles aus den Quellen oder passt die zu verwendende Anwendung selbst an, dieses ist dann aber alles für fortgeschrittene Anwender („Systemer“ und „Linux-Freaks“).
    So, Pause, mein Hirn setzt gleich aus.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •